## org.eclipse.uml2.uml
Interface Action

All Superinterfaces:
  ActivityNode, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, ExecutableNode, NamedElement, org.eclipse.emf.common.notify.Notifier, RedefinableElement

All Known Subinterfaces:
  AcceptCallAction, AcceptEventAction, AddStructuralFeatureValueAction, AddVariableValueAction, BroadcastSignalAction, CallAction, CallBehaviorAction, CallOperationAction, ClearAssociationAction, ClearStructuralFeatureAction, ClearVariableAction, ConditionalNode, CreateLinkAction, CreateLinkObjectAction, CreateObjectAction, DestroyLinkAction, DestroyObjectAction, ExpansionRegion, InvocationAction, LinkAction, LoopNode, OpaqueAction, RaiseExceptionAction, ReadExtentAction, ReadIsClassifiedObjectAction, ReadLinkAction, ReadLinkObjectEndAction, ReadLinkObjectEndQualifierAction, ReadSelfAction, ReadStructuralFeatureAction, ReadVariableAction, ReclassifyObjectAction, ReduceAction, RemoveStructuralFeatureValueAction, RemoveVariableValueAction, ReplyAction, SendObjectAction, SendSignalAction, SequenceNode, StartClassifierBehaviorAction, StartObjectBehaviorAction, StructuralFeatureAction, StructuredActivityNode, TestIdentityAction, UnmarshallAction, ValueSpecificationAction, VariableAction, WriteLinkAction, WriteStructuralFeatureAction, WriteVariableAction

    public interface Action

extends ExecutableNode

A representation of the model object 'Action'. An action is a named element that is the fundamental unit of executable functionality. The execution of an action represents some transformation or processing in the modeled system, be it a computer system or otherwise. An action represents a single step within an activity, that is, one that is not further decomposed within the activity. An action has pre- and post-conditions.

The following features are supported:

- `Output`
- `Input`
- `Context`
- `Local Precondition`
- `Local Postcondition`

See Also:
  `UMLPackage.getAction()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`Constraint` `createLocalPostcondition(java.lang.String name)` Creates a new `Constraint`, with the specified 'Name', and appends it to the 'Local Postcondition' containment reference list
`Constraint` `createLocalPostcondition(java.lang.String name, org.eclipse.emf.ecore.EClass eClass)` Creates a new `Constraint`, with the specified 'Name', and appends it to the 'Local Postcondition' containment reference list
`Constraint` `createLocalPrecondition(java.lang.String name)` Creates a new `Constraint`, with the specified 'Name', and appends it to the 'Local Precondition' containment reference list
`Constraint` `createLocalPrecondition(java.lang.String name, org.eclipse.emf.ecore.EClass eClass)` Creates a new `Constraint`, with the specified 'Name', and appends it to the 'Local Precondition' containment reference list
`Classifier` `getContext()` Returns the value of the 'Context' reference
`InputPin` `getInput(java.lang.String name, Type type)` Retrieves the first `InputPin` with the specified 'Name', and 'Type' from the 'Input' reference list
`InputPin` `getInput(java.lang.String name, Type type, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `InputPin` with the specified 'Name', and 'Type' from the 'Input' reference list
`org.eclipse.emf.common.util.EList<InputPin>` `getInputs()` Returns the value of the 'Input' reference list.
`Constraint` `getLocalPostcondition(java.lang.String name)` Retrieves the first `Constraint` with the specified 'Name' from the 'Local Postcondition' containment reference list
`Constraint` `getLocalPostcondition(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass, boolean createOnDemand)` Retrieves the first `Constraint` with the specified 'Name' from the 'Local Postcondition' containment reference list
`org.eclipse.emf.common.util.EList<Constraint>` `getLocalPostconditions()` Returns the value of the 'Local Postcondition' containment reference list.
`Constraint` `getLocalPrecondition(java.lang.String name)` Retrieves the first `Constraint` with the specified 'Name' from the 'Local Precondition' containment reference list
`Constraint` `getLocalPrecondition(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass, boolean createOnDemand)` Retrieves the first `Constraint` with the specified 'Name' from the 'Local Precondition' containment reference list
`org.eclipse.emf.common.util.EList<Constraint>` `getLocalPreconditions()` Returns the value of the 'Local Precondition' containment reference list.
`OutputPin` `getOutput(java.lang.String name, Type type)` Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Output' reference list
`OutputPin` `getOutput(java.lang.String name, Type type, boolean ignoreCase)` Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Output' reference list
`org.eclipse.emf.common.util.EList<OutputPin>` `getOutputs()` Returns the value of the 'Output' reference list.

Methods inherited from interface org.eclipse.uml2.uml.ExecutableNode
`createHandler, getHandlers`

Methods inherited from interface org.eclipse.uml2.uml.ActivityNode
`getActivity, getIncoming, getIncoming, getIncomings, getInGroups, getInInterruptibleRegions, getInPartition, getInPartition, getInPartitions, getInStructuredNode, getOutgoing, getOutgoing, getOutgoings, getRedefinedNode, getRedefinedNode, getRedefinedNodes, setActivity, setInStructuredNode, validateOwned, validateOwnedStructuredNode`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOutputs

    org.eclipse.emf.common.util.EList<OutputPin> getOutputs()

  Returns the value of the 'Output' reference list. The list contents are of type `OutputPin`.

  This feature subsets the following features:

  - '`Owned Element`'
  This feature is a derived union. The ordered set of output pins connected to the Action. The action places its results onto pins in this set.

  Returns:
    the value of the 'Output' reference list.
  See Also:
    `UMLPackage.getAction_Output()`

### getOutput

    OutputPin getOutput(java.lang.String name,
                        Type type)

  Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Output' reference list.

  Parameters:
    `name` - The 'Name' of the `OutputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `OutputPin` to retrieve, or `null`.
  Returns:
    The first `OutputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getOutputs()`

### getOutput

    OutputPin getOutput(java.lang.String name,
                        Type type,
                        boolean ignoreCase)

  Retrieves the first `OutputPin` with the specified 'Name', and 'Type' from the 'Output' reference list.

  Parameters:
    `name` - The 'Name' of the `OutputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `OutputPin` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
  Returns:
    The first `OutputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getOutputs()`

### getInputs

    org.eclipse.emf.common.util.EList<InputPin> getInputs()

  Returns the value of the 'Input' reference list. The list contents are of type `InputPin`.

  This feature subsets the following features:

  - '`Owned Element`'
  This feature is a derived union. The ordered set of input pins connected to the Action. These are among the total set of inputs.

  Returns:
    the value of the 'Input' reference list.
  See Also:
    `UMLPackage.getAction_Input()`

### getInput

    InputPin getInput(java.lang.String name,
                      Type type)

  Retrieves the first `InputPin` with the specified 'Name', and 'Type' from the 'Input' reference list.

  Parameters:
    `name` - The 'Name' of the `InputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `InputPin` to retrieve, or `null`.
  Returns:
    The first `InputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getInputs()`

### getInput

    InputPin getInput(java.lang.String name,
                      Type type,
                      boolean ignoreCase,
                      org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `InputPin` with the specified 'Name', and 'Type' from the 'Input' reference list.

  Parameters:
    `name` - The 'Name' of the `InputPin` to retrieve, or `null`.
    `type` - The 'Type' of the `InputPin` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `InputPin` to retrieve, or `null`.
  Returns:
    The first `InputPin` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getInputs()`

### getContext

    Classifier getContext()

  Returns the value of the 'Context' reference. The classifier that owns the behavior of which this action is a part.

  Returns:
    the value of the 'Context' reference.
  See Also:
    `UMLPackage.getAction_Context()`

### getLocalPreconditions

    org.eclipse.emf.common.util.EList<Constraint> getLocalPreconditions()

  Returns the value of the 'Local Precondition' containment reference list. The list contents are of type `Constraint`.

  This feature subsets the following features:

  - '`Owned Element`'
  Constraint that must be satisfied when execution is started.

  Returns:
    the value of the 'Local Precondition' containment reference list.
  See Also:
    `UMLPackage.getAction_LocalPrecondition()`

### createLocalPrecondition

    Constraint createLocalPrecondition(java.lang.String name,
                                       org.eclipse.emf.ecore.EClass eClass)

  Creates a new `Constraint`, with the specified 'Name', and appends it to the 'Local Precondition' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Constraint`, or `null`.
    `eClass` - The Ecore class of the `Constraint` to create.
  Returns:
    The new `Constraint`.
  See Also:
    `getLocalPreconditions()`

### createLocalPrecondition

    Constraint createLocalPrecondition(java.lang.String name)

  Creates a new `Constraint`, with the specified 'Name', and appends it to the 'Local Precondition' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Constraint`, or `null`.
  Returns:
    The new `Constraint`.
  See Also:
    `getLocalPreconditions()`

### getLocalPrecondition

    Constraint getLocalPrecondition(java.lang.String name)

  Retrieves the first `Constraint` with the specified 'Name' from the 'Local Precondition' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Constraint` to retrieve, or `null`.
  Returns:
    The first `Constraint` with the specified 'Name', or `null`.
  See Also:
    `getLocalPreconditions()`

### getLocalPrecondition

    Constraint getLocalPrecondition(java.lang.String name,
                                    boolean ignoreCase,
                                    org.eclipse.emf.ecore.EClass eClass,
                                    boolean createOnDemand)

  Retrieves the first `Constraint` with the specified 'Name' from the 'Local Precondition' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Constraint` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `Constraint` to retrieve, or `null`.
    `createOnDemand` - Whether to create a `Constraint` on demand if not found.
  Returns:
    The first `Constraint` with the specified 'Name', or `null`.
  See Also:
    `getLocalPreconditions()`

### getLocalPostconditions

    org.eclipse.emf.common.util.EList<Constraint> getLocalPostconditions()

  Returns the value of the 'Local Postcondition' containment reference list. The list contents are of type `Constraint`.

  This feature subsets the following features:

  - '`Owned Element`'
  Constraint that must be satisfied when executed is completed.

  Returns:
    the value of the 'Local Postcondition' containment reference list.
  See Also:
    `UMLPackage.getAction_LocalPostcondition()`

### createLocalPostcondition

    Constraint createLocalPostcondition(java.lang.String name,
                                        org.eclipse.emf.ecore.EClass eClass)

  Creates a new `Constraint`, with the specified 'Name', and appends it to the 'Local Postcondition' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Constraint`, or `null`.
    `eClass` - The Ecore class of the `Constraint` to create.
  Returns:
    The new `Constraint`.
  See Also:
    `getLocalPostconditions()`

### createLocalPostcondition

    Constraint createLocalPostcondition(java.lang.String name)

  Creates a new `Constraint`, with the specified 'Name', and appends it to the 'Local Postcondition' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `Constraint`, or `null`.
  Returns:
    The new `Constraint`.
  See Also:
    `getLocalPostconditions()`

### getLocalPostcondition

    Constraint getLocalPostcondition(java.lang.String name)

  Retrieves the first `Constraint` with the specified 'Name' from the 'Local Postcondition' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Constraint` to retrieve, or `null`.
  Returns:
    The first `Constraint` with the specified 'Name', or `null`.
  See Also:
    `getLocalPostconditions()`

### getLocalPostcondition

    Constraint getLocalPostcondition(java.lang.String name,
                                     boolean ignoreCase,
                                     org.eclipse.emf.ecore.EClass eClass,
                                     boolean createOnDemand)

  Retrieves the first `Constraint` with the specified 'Name' from the 'Local Postcondition' containment reference list.

  Parameters:
    `name` - The 'Name' of the `Constraint` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `Constraint` to retrieve, or `null`.
    `createOnDemand` - Whether to create a `Constraint` on demand if not found.
  Returns:
    The first `Constraint` with the specified 'Name', or `null`.
  See Also:
    `getLocalPostconditions()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.